## PhoshMprisDBusMediaPlayer2PlayerSkeleton

PhoshMprisDBusMediaPlayer2PlayerSkeleton

## Functions

GDBusInterfaceInfo * | phosh_mpris_dbus_media_player2_interface_info ()
guint | phosh_mpris_dbus_media_player2_override_properties ()
void | phosh_mpris_dbus_media_player2_complete_raise ()
void | phosh_mpris_dbus_media_player2_call_raise ()
gboolean | phosh_mpris_dbus_media_player2_call_raise_finish ()
gboolean | phosh_mpris_dbus_media_player2_call_raise_sync ()
gboolean | phosh_mpris_dbus_media_player2_get_can_raise ()
void | phosh_mpris_dbus_media_player2_set_can_raise ()
const gchar * | phosh_mpris_dbus_media_player2_get_desktop_entry ()
gchar * | phosh_mpris_dbus_media_player2_dup_desktop_entry ()
void | phosh_mpris_dbus_media_player2_set_desktop_entry ()
void | phosh_mpris_dbus_media_player2_proxy_new ()
PhoshMprisDBusMediaPlayer2 * | phosh_mpris_dbus_media_player2_proxy_new_finish ()
PhoshMprisDBusMediaPlayer2 * | phosh_mpris_dbus_media_player2_proxy_new_sync ()
void | phosh_mpris_dbus_media_player2_proxy_new_for_bus ()
PhoshMprisDBusMediaPlayer2 * | phosh_mpris_dbus_media_player2_proxy_new_for_bus_finish ()
PhoshMprisDBusMediaPlayer2 * | phosh_mpris_dbus_media_player2_proxy_new_for_bus_sync ()
PhoshMprisDBusMediaPlayer2 * | phosh_mpris_dbus_media_player2_skeleton_new ()
GDBusInterfaceInfo * | phosh_mpris_dbus_media_player2_player_interface_info ()
guint | phosh_mpris_dbus_media_player2_player_override_properties ()
void | phosh_mpris_dbus_media_player2_player_complete_play_pause ()
void | phosh_mpris_dbus_media_player2_player_complete_next ()
void | phosh_mpris_dbus_media_player2_player_complete_previous ()
void | phosh_mpris_dbus_media_player2_player_complete_seek ()
void | phosh_mpris_dbus_media_player2_player_call_play_pause ()
gboolean | phosh_mpris_dbus_media_player2_player_call_play_pause_finish ()
gboolean | phosh_mpris_dbus_media_player2_player_call_play_pause_sync ()
void | phosh_mpris_dbus_media_player2_player_call_next ()
gboolean | phosh_mpris_dbus_media_player2_player_call_next_finish ()
gboolean | phosh_mpris_dbus_media_player2_player_call_next_sync ()
void | phosh_mpris_dbus_media_player2_player_call_previous ()
gboolean | phosh_mpris_dbus_media_player2_player_call_previous_finish ()
gboolean | phosh_mpris_dbus_media_player2_player_call_previous_sync ()
void | phosh_mpris_dbus_media_player2_player_call_seek ()
gboolean | phosh_mpris_dbus_media_player2_player_call_seek_finish ()
gboolean | phosh_mpris_dbus_media_player2_player_call_seek_sync ()
gboolean | phosh_mpris_dbus_media_player2_player_get_can_go_next ()
void | phosh_mpris_dbus_media_player2_player_set_can_go_next ()
gboolean | phosh_mpris_dbus_media_player2_player_get_can_go_previous ()
void | phosh_mpris_dbus_media_player2_player_set_can_go_previous ()
gboolean | phosh_mpris_dbus_media_player2_player_get_can_play ()
void | phosh_mpris_dbus_media_player2_player_set_can_play ()
gboolean | phosh_mpris_dbus_media_player2_player_get_can_seek ()
void | phosh_mpris_dbus_media_player2_player_set_can_seek ()
GVariant * | phosh_mpris_dbus_media_player2_player_get_metadata ()
GVariant * | phosh_mpris_dbus_media_player2_player_dup_metadata ()
void | phosh_mpris_dbus_media_player2_player_set_metadata ()
const gchar * | phosh_mpris_dbus_media_player2_player_get_playback_status ()
gchar * | phosh_mpris_dbus_media_player2_player_dup_playback_status ()
void | phosh_mpris_dbus_media_player2_player_set_playback_status ()
void | phosh_mpris_dbus_media_player2_player_proxy_new ()
PhoshMprisDBusMediaPlayer2Player * | phosh_mpris_dbus_media_player2_player_proxy_new_finish ()
PhoshMprisDBusMediaPlayer2Player * | phosh_mpris_dbus_media_player2_player_proxy_new_sync ()
void | phosh_mpris_dbus_media_player2_player_proxy_new_for_bus ()
PhoshMprisDBusMediaPlayer2Player * | phosh_mpris_dbus_media_player2_player_proxy_new_for_bus_finish ()
PhoshMprisDBusMediaPlayer2Player * | phosh_mpris_dbus_media_player2_player_proxy_new_for_bus_sync ()
PhoshMprisDBusMediaPlayer2Player * | phosh_mpris_dbus_media_player2_player_skeleton_new ()

## Properties

gboolean | can-raise | Read / Write
char * | desktop-entry | Read / Write
gboolean | can-go-next | Read / Write
gboolean | can-go-previous | Read / Write
gboolean | can-play | Read / Write
gboolean | can-seek | Read / Write
GVariant * | metadata | Read / Write
char * | playback-status | Read / Write

## Signals

gboolean | handle-raise | Run Last
gboolean | handle-next | Run Last
gboolean | handle-play-pause | Run Last
gboolean | handle-previous | Run Last
gboolean | handle-seek | Run Last

## Types and Values

struct | PhoshMprisDBusMediaPlayer2Iface
struct | PhoshMprisDBusMediaPlayer2Proxy
struct | PhoshMprisDBusMediaPlayer2ProxyClass
struct | PhoshMprisDBusMediaPlayer2Skeleton
struct | PhoshMprisDBusMediaPlayer2SkeletonClass
struct | PhoshMprisDBusMediaPlayer2PlayerIface
struct | PhoshMprisDBusMediaPlayer2PlayerProxy
struct | PhoshMprisDBusMediaPlayer2PlayerProxyClass
struct | PhoshMprisDBusMediaPlayer2PlayerSkeleton
struct | PhoshMprisDBusMediaPlayer2PlayerSkeletonClass
| PhoshMprisDBusMediaPlayer2
| PhoshMprisDBusMediaPlayer2Player
| PhoshMprisDBusMediaPlayer2PlayerProxyPrivate
| PhoshMprisDBusMediaPlayer2PlayerSkeletonPrivate
| PhoshMprisDBusMediaPlayer2ProxyPrivate
| PhoshMprisDBusMediaPlayer2SkeletonPrivate

## Object Hierarchy

        GInterface
        ├── PhoshMprisDBusMediaPlayer2
        ╰── PhoshMprisDBusMediaPlayer2Player
        GObject
        ├── GDBusInterfaceSkeleton
        │   ├── PhoshMprisDBusMediaPlayer2PlayerSkeleton
        │   ╰── PhoshMprisDBusMediaPlayer2Skeleton
        ╰── GDBusProxy
            ├── PhoshMprisDBusMediaPlayer2PlayerProxy
            ╰── PhoshMprisDBusMediaPlayer2Proxy

## Prerequisites

PhoshMprisDBusMediaPlayer2 requires GObject.

PhoshMprisDBusMediaPlayer2Player requires GObject.

## Implemented Interfaces

PhoshMprisDBusMediaPlayer2Proxy implements GDBusInterface, GInitable, GAsyncInitable and PhoshMprisDBusMediaPlayer2.

PhoshMprisDBusMediaPlayer2Skeleton implements GDBusInterface and PhoshMprisDBusMediaPlayer2.

PhoshMprisDBusMediaPlayer2PlayerProxy implements GDBusInterface, GInitable, GAsyncInitable and PhoshMprisDBusMediaPlayer2Player.

PhoshMprisDBusMediaPlayer2PlayerSkeleton implements GDBusInterface and PhoshMprisDBusMediaPlayer2Player.

## Known Implementations

PhoshMprisDBusMediaPlayer2 is implemented by PhoshMprisDBusMediaPlayer2Proxy and PhoshMprisDBusMediaPlayer2Skeleton.

PhoshMprisDBusMediaPlayer2Player is implemented by PhoshMprisDBusMediaPlayer2PlayerProxy and PhoshMprisDBusMediaPlayer2PlayerSkeleton.

## Description

## Functions

### phosh_mpris_dbus_media_player2_interface_info ()

    GDBusInterfaceInfo *
    phosh_mpris_dbus_media_player2_interface_info
                                   (void);

Gets a machine-readable description of the org.mpris.MediaPlayer2 D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### phosh_mpris_dbus_media_player2_override_properties ()

    guint
    phosh_mpris_dbus_media_player2_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the PhoshMprisDBusMediaPlayer2 interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### phosh_mpris_dbus_media_player2_complete_raise ()

    void
    phosh_mpris_dbus_media_player2_complete_raise
                                   (PhoshMprisDBusMediaPlayer2 *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Raise()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshMprisDBusMediaPlayer2. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_mpris_dbus_media_player2_call_raise ()

    void
    phosh_mpris_dbus_media_player2_call_raise
                                   (PhoshMprisDBusMediaPlayer2 *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `Raise()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_mpris_dbus_media_player2_call_raise_finish()` to get the result of the operation.

See `phosh_mpris_dbus_media_player2_call_raise_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshMprisDBusMediaPlayer2Proxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_mpris_dbus_media_player2_call_raise_finish ()

    gboolean
    phosh_mpris_dbus_media_player2_call_raise_finish
                                   (PhoshMprisDBusMediaPlayer2 *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_mpris_dbus_media_player2_call_raise()`.

#### Parameters

proxy | A PhoshMprisDBusMediaPlayer2Proxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_mpris_dbus_media_player2_call_raise()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_mpris_dbus_media_player2_call_raise_sync ()

    gboolean
    phosh_mpris_dbus_media_player2_call_raise_sync
                                   (PhoshMprisDBusMediaPlayer2 *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Raise()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_mpris_dbus_media_player2_call_raise()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshMprisDBusMediaPlayer2Proxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_mpris_dbus_media_player2_get_can_raise ()

    gboolean
    phosh_mpris_dbus_media_player2_get_can_raise
                                   (PhoshMprisDBusMediaPlayer2 *object);

Gets the value of the "CanRaise" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshMprisDBusMediaPlayer2. |

#### Returns

The property value.

### phosh_mpris_dbus_media_player2_set_can_raise ()

    void
    phosh_mpris_dbus_media_player2_set_can_raise
                                   (PhoshMprisDBusMediaPlayer2 *object,
                                    gboolean value);

Sets the "CanRaise" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshMprisDBusMediaPlayer2. |
value | The value to set. |

### phosh_mpris_dbus_media_player2_get_desktop_entry ()

    const gchar *
    phosh_mpris_dbus_media_player2_get_desktop_entry
                                   (PhoshMprisDBusMediaPlayer2 *object);

Gets the value of the "DesktopEntry" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `phosh_mpris_dbus_media_player2_dup_desktop_entry()` if on another thread.

[skip]

#### Parameters

object | A PhoshMprisDBusMediaPlayer2. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### phosh_mpris_dbus_media_player2_dup_desktop_entry ()

    gchar *
    phosh_mpris_dbus_media_player2_dup_desktop_entry
                                   (PhoshMprisDBusMediaPlayer2 *object);

Gets a copy of the "DesktopEntry" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshMprisDBusMediaPlayer2. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### phosh_mpris_dbus_media_player2_set_desktop_entry ()

    void
    phosh_mpris_dbus_media_player2_set_desktop_entry
                                   (PhoshMprisDBusMediaPlayer2 *object,
                                    const gchar *value);

Sets the "DesktopEntry" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshMprisDBusMediaPlayer2. |
value | The value to set. |

### phosh_mpris_dbus_media_player2_proxy_new ()

    void
    phosh_mpris_dbus_media_player2_proxy_new
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.mpris.MediaPlayer2. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_mpris_dbus_media_player2_proxy_new_finish()` to get the result of the operation.

See `phosh_mpris_dbus_media_player2_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_mpris_dbus_media_player2_proxy_new_finish ()

    PhoshMprisDBusMediaPlayer2 *
    phosh_mpris_dbus_media_player2_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_mpris_dbus_media_player2_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_mpris_dbus_media_player2_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshMprisDBusMediaPlayer2Proxy]

### phosh_mpris_dbus_media_player2_proxy_new_sync ()

    PhoshMprisDBusMediaPlayer2 *
    phosh_mpris_dbus_media_player2_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.mpris.MediaPlayer2. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `phosh_mpris_dbus_media_player2_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshMprisDBusMediaPlayer2Proxy]

### phosh_mpris_dbus_media_player2_proxy_new_for_bus ()

    void
    phosh_mpris_dbus_media_player2_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `phosh_mpris_dbus_media_player2_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_mpris_dbus_media_player2_proxy_new_for_bus_finish()` to get the result of the operation.

See `phosh_mpris_dbus_media_player2_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_mpris_dbus_media_player2_proxy_new_for_bus_finish ()

    PhoshMprisDBusMediaPlayer2 *
    phosh_mpris_dbus_media_player2_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_mpris_dbus_media_player2_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_mpris_dbus_media_player2_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshMprisDBusMediaPlayer2Proxy]

### phosh_mpris_dbus_media_player2_proxy_new_for_bus_sync ()

    PhoshMprisDBusMediaPlayer2 *
    phosh_mpris_dbus_media_player2_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `phosh_mpris_dbus_media_player2_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `phosh_mpris_dbus_media_player2_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshMprisDBusMediaPlayer2Proxy]

### phosh_mpris_dbus_media_player2_skeleton_new ()

    PhoshMprisDBusMediaPlayer2 *
    phosh_mpris_dbus_media_player2_skeleton_new
                                   (void);

Creates a skeleton object for the D-Bus interface org.mpris.MediaPlayer2.

#### Returns

The skeleton object.

[transfer full][type PhoshMprisDBusMediaPlayer2Skeleton]

### phosh_mpris_dbus_media_player2_player_interface_info ()

    GDBusInterfaceInfo *
    phosh_mpris_dbus_media_player2_player_interface_info
                                   (void);

Gets a machine-readable description of the org.mpris.MediaPlayer2.Player D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### phosh_mpris_dbus_media_player2_player_override_properties ()

    guint
    phosh_mpris_dbus_media_player2_player_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the PhoshMprisDBusMediaPlayer2Player interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### phosh_mpris_dbus_media_player2_player_complete_play_pause ()

    void
    phosh_mpris_dbus_media_player2_player_complete_play_pause
                                   (PhoshMprisDBusMediaPlayer2Player *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `PlayPause()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_mpris_dbus_media_player2_player_complete_next ()

    void
    phosh_mpris_dbus_media_player2_player_complete_next
                                   (PhoshMprisDBusMediaPlayer2Player *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Next()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_mpris_dbus_media_player2_player_complete_previous ()

    void
    phosh_mpris_dbus_media_player2_player_complete_previous
                                   (PhoshMprisDBusMediaPlayer2Player *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Previous()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_mpris_dbus_media_player2_player_complete_seek ()

    void
    phosh_mpris_dbus_media_player2_player_complete_seek
                                   (PhoshMprisDBusMediaPlayer2Player *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Seek()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_mpris_dbus_media_player2_player_call_play_pause ()

    void
    phosh_mpris_dbus_media_player2_player_call_play_pause
                                   (PhoshMprisDBusMediaPlayer2Player *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `PlayPause()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_mpris_dbus_media_player2_player_call_play_pause_finish()` to get the result of the operation.

See `phosh_mpris_dbus_media_player2_player_call_play_pause_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshMprisDBusMediaPlayer2PlayerProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_mpris_dbus_media_player2_player_call_play_pause_finish ()

    gboolean
    phosh_mpris_dbus_media_player2_player_call_play_pause_finish
                                   (PhoshMprisDBusMediaPlayer2Player *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_mpris_dbus_media_player2_player_call_play_pause()`.

#### Parameters

proxy | A PhoshMprisDBusMediaPlayer2PlayerProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_mpris_dbus_media_player2_player_call_play_pause()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_mpris_dbus_media_player2_player_call_play_pause_sync ()

    gboolean
    phosh_mpris_dbus_media_player2_player_call_play_pause_sync
                                   (PhoshMprisDBusMediaPlayer2Player *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `PlayPause()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_mpris_dbus_media_player2_player_call_play_pause()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshMprisDBusMediaPlayer2PlayerProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_mpris_dbus_media_player2_player_call_next ()

    void
    phosh_mpris_dbus_media_player2_player_call_next
                                   (PhoshMprisDBusMediaPlayer2Player *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `Next()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_mpris_dbus_media_player2_player_call_next_finish()` to get the result of the operation.

See `phosh_mpris_dbus_media_player2_player_call_next_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshMprisDBusMediaPlayer2PlayerProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_mpris_dbus_media_player2_player_call_next_finish ()

    gboolean
    phosh_mpris_dbus_media_player2_player_call_next_finish
                                   (PhoshMprisDBusMediaPlayer2Player *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_mpris_dbus_media_player2_player_call_next()`.

#### Parameters

proxy | A PhoshMprisDBusMediaPlayer2PlayerProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_mpris_dbus_media_player2_player_call_next()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_mpris_dbus_media_player2_player_call_next_sync ()

    gboolean
    phosh_mpris_dbus_media_player2_player_call_next_sync
                                   (PhoshMprisDBusMediaPlayer2Player *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Next()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_mpris_dbus_media_player2_player_call_next()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshMprisDBusMediaPlayer2PlayerProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_mpris_dbus_media_player2_player_call_previous ()

    void
    phosh_mpris_dbus_media_player2_player_call_previous
                                   (PhoshMprisDBusMediaPlayer2Player *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `Previous()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_mpris_dbus_media_player2_player_call_previous_finish()` to get the result of the operation.

See `phosh_mpris_dbus_media_player2_player_call_previous_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshMprisDBusMediaPlayer2PlayerProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_mpris_dbus_media_player2_player_call_previous_finish ()

    gboolean
    phosh_mpris_dbus_media_player2_player_call_previous_finish
                                   (PhoshMprisDBusMediaPlayer2Player *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_mpris_dbus_media_player2_player_call_previous()`.

#### Parameters

proxy | A PhoshMprisDBusMediaPlayer2PlayerProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_mpris_dbus_media_player2_player_call_previous()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_mpris_dbus_media_player2_player_call_previous_sync ()

    gboolean
    phosh_mpris_dbus_media_player2_player_call_previous_sync
                                   (PhoshMprisDBusMediaPlayer2Player *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Previous()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_mpris_dbus_media_player2_player_call_previous()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshMprisDBusMediaPlayer2PlayerProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_mpris_dbus_media_player2_player_call_seek ()

    void
    phosh_mpris_dbus_media_player2_player_call_seek
                                   (PhoshMprisDBusMediaPlayer2Player *proxy,
                                    gint64 arg_Offset,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `Seek()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_mpris_dbus_media_player2_player_call_seek_finish()` to get the result of the operation.

See `phosh_mpris_dbus_media_player2_player_call_seek_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshMprisDBusMediaPlayer2PlayerProxy. |
arg_Offset | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_mpris_dbus_media_player2_player_call_seek_finish ()

    gboolean
    phosh_mpris_dbus_media_player2_player_call_seek_finish
                                   (PhoshMprisDBusMediaPlayer2Player *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_mpris_dbus_media_player2_player_call_seek()`.

#### Parameters

proxy | A PhoshMprisDBusMediaPlayer2PlayerProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_mpris_dbus_media_player2_player_call_seek()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_mpris_dbus_media_player2_player_call_seek_sync ()

    gboolean
    phosh_mpris_dbus_media_player2_player_call_seek_sync
                                   (PhoshMprisDBusMediaPlayer2Player *proxy,
                                    gint64 arg_Offset,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Seek()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_mpris_dbus_media_player2_player_call_seek()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshMprisDBusMediaPlayer2PlayerProxy. |
arg_Offset | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_mpris_dbus_media_player2_player_get_can_go_next ()

    gboolean
    phosh_mpris_dbus_media_player2_player_get_can_go_next
                                   (PhoshMprisDBusMediaPlayer2Player *object);

Gets the value of the "CanGoNext" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |

#### Returns

The property value.

### phosh_mpris_dbus_media_player2_player_set_can_go_next ()

    void
    phosh_mpris_dbus_media_player2_player_set_can_go_next
                                   (PhoshMprisDBusMediaPlayer2Player *object,
                                    gboolean value);

Sets the "CanGoNext" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |
value | The value to set. |

### phosh_mpris_dbus_media_player2_player_get_can_go_previous ()

    gboolean
    phosh_mpris_dbus_media_player2_player_get_can_go_previous
                                   (PhoshMprisDBusMediaPlayer2Player *object);

Gets the value of the "CanGoPrevious" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |

#### Returns

The property value.

### phosh_mpris_dbus_media_player2_player_set_can_go_previous ()

    void
    phosh_mpris_dbus_media_player2_player_set_can_go_previous
                                   (PhoshMprisDBusMediaPlayer2Player *object,
                                    gboolean value);

Sets the "CanGoPrevious" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |
value | The value to set. |

### phosh_mpris_dbus_media_player2_player_get_can_play ()

    gboolean
    phosh_mpris_dbus_media_player2_player_get_can_play
                                   (PhoshMprisDBusMediaPlayer2Player *object);

Gets the value of the "CanPlay" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |

#### Returns

The property value.

### phosh_mpris_dbus_media_player2_player_set_can_play ()

    void
    phosh_mpris_dbus_media_player2_player_set_can_play
                                   (PhoshMprisDBusMediaPlayer2Player *object,
                                    gboolean value);

Sets the "CanPlay" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |
value | The value to set. |

### phosh_mpris_dbus_media_player2_player_get_can_seek ()

    gboolean
    phosh_mpris_dbus_media_player2_player_get_can_seek
                                   (PhoshMprisDBusMediaPlayer2Player *object);

Gets the value of the "CanSeek" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |

#### Returns

The property value.

### phosh_mpris_dbus_media_player2_player_set_can_seek ()

    void
    phosh_mpris_dbus_media_player2_player_set_can_seek
                                   (PhoshMprisDBusMediaPlayer2Player *object,
                                    gboolean value);

Sets the "CanSeek" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |
value | The value to set. |

### phosh_mpris_dbus_media_player2_player_get_metadata ()

    GVariant *
    phosh_mpris_dbus_media_player2_player_get_metadata
                                   (PhoshMprisDBusMediaPlayer2Player *object);

Gets the value of the "Metadata" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `phosh_mpris_dbus_media_player2_player_dup_metadata()` if on another thread.

[skip]

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### phosh_mpris_dbus_media_player2_player_dup_metadata ()

    GVariant *
    phosh_mpris_dbus_media_player2_player_dup_metadata
                                   (PhoshMprisDBusMediaPlayer2Player *object);

Gets a copy of the "Metadata" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

### phosh_mpris_dbus_media_player2_player_set_metadata ()

    void
    phosh_mpris_dbus_media_player2_player_set_metadata
                                   (PhoshMprisDBusMediaPlayer2Player *object,
                                    GVariant *value);

Sets the "Metadata" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |
value | The value to set. |

### phosh_mpris_dbus_media_player2_player_get_playback_status ()

    const gchar *
    phosh_mpris_dbus_media_player2_player_get_playback_status
                                   (PhoshMprisDBusMediaPlayer2Player *object);

Gets the value of the "PlaybackStatus" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `phosh_mpris_dbus_media_player2_player_dup_playback_status()` if on another thread.

[skip]

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### phosh_mpris_dbus_media_player2_player_dup_playback_status ()

    gchar *
    phosh_mpris_dbus_media_player2_player_dup_playback_status
                                   (PhoshMprisDBusMediaPlayer2Player *object);

Gets a copy of the "PlaybackStatus" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### phosh_mpris_dbus_media_player2_player_set_playback_status ()

    void
    phosh_mpris_dbus_media_player2_player_set_playback_status
                                   (PhoshMprisDBusMediaPlayer2Player *object,
                                    const gchar *value);

Sets the "PlaybackStatus" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |
value | The value to set. |

### phosh_mpris_dbus_media_player2_player_proxy_new ()

    void
    phosh_mpris_dbus_media_player2_player_proxy_new
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.mpris.MediaPlayer2.Player. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_mpris_dbus_media_player2_player_proxy_new_finish()` to get the result of the operation.

See `phosh_mpris_dbus_media_player2_player_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_mpris_dbus_media_player2_player_proxy_new_finish ()

    PhoshMprisDBusMediaPlayer2Player *
    phosh_mpris_dbus_media_player2_player_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_mpris_dbus_media_player2_player_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_mpris_dbus_media_player2_player_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshMprisDBusMediaPlayer2PlayerProxy]

### phosh_mpris_dbus_media_player2_player_proxy_new_sync ()

    PhoshMprisDBusMediaPlayer2Player *
    phosh_mpris_dbus_media_player2_player_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.mpris.MediaPlayer2.Player. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `phosh_mpris_dbus_media_player2_player_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshMprisDBusMediaPlayer2PlayerProxy]

### phosh_mpris_dbus_media_player2_player_proxy_new_for_bus ()

    void
    phosh_mpris_dbus_media_player2_player_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `phosh_mpris_dbus_media_player2_player_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_mpris_dbus_media_player2_player_proxy_new_for_bus_finish()` to get the result of the operation.

See `phosh_mpris_dbus_media_player2_player_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_mpris_dbus_media_player2_player_proxy_new_for_bus_finish ()

    PhoshMprisDBusMediaPlayer2Player *
    phosh_mpris_dbus_media_player2_player_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_mpris_dbus_media_player2_player_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_mpris_dbus_media_player2_player_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshMprisDBusMediaPlayer2PlayerProxy]

### phosh_mpris_dbus_media_player2_player_proxy_new_for_bus_sync ()

    PhoshMprisDBusMediaPlayer2Player *
    phosh_mpris_dbus_media_player2_player_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `phosh_mpris_dbus_media_player2_player_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `phosh_mpris_dbus_media_player2_player_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshMprisDBusMediaPlayer2PlayerProxy]

### phosh_mpris_dbus_media_player2_player_skeleton_new ()

    PhoshMprisDBusMediaPlayer2Player *
    phosh_mpris_dbus_media_player2_player_skeleton_new
                                   (void);

Creates a skeleton object for the D-Bus interface org.mpris.MediaPlayer2.Player.

#### Returns

The skeleton object.

[transfer full][type PhoshMprisDBusMediaPlayer2PlayerSkeleton]

## Types and Values

### struct PhoshMprisDBusMediaPlayer2Iface

    struct PhoshMprisDBusMediaPlayer2Iface {
      GTypeInterface parent_iface;

      gboolean (*handle_raise) (
        PhoshMprisDBusMediaPlayer2 *object,
        GDBusMethodInvocation *invocation);

      gboolean  (*get_can_raise) (PhoshMprisDBusMediaPlayer2 *object);

      const gchar * (*get_desktop_entry) (PhoshMprisDBusMediaPlayer2 *object);
    };

Virtual table for the D-Bus interface org.mpris.MediaPlayer2.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_raise` () | Handler for the “handle-raise” signal. |
`get_can_raise` () | Getter for the “can-raise” property. |
`get_desktop_entry` () | Getter for the “desktop-entry” property. |

### struct PhoshMprisDBusMediaPlayer2Proxy

    struct PhoshMprisDBusMediaPlayer2Proxy;

The PhoshMprisDBusMediaPlayer2Proxy structure contains only private data and should only be accessed using the provided API.

### struct PhoshMprisDBusMediaPlayer2ProxyClass

    struct PhoshMprisDBusMediaPlayer2ProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for PhoshMprisDBusMediaPlayer2Proxy.

#### Members

### struct PhoshMprisDBusMediaPlayer2Skeleton

    struct PhoshMprisDBusMediaPlayer2Skeleton;

The PhoshMprisDBusMediaPlayer2Skeleton structure contains only private data and should only be accessed using the provided API.

### struct PhoshMprisDBusMediaPlayer2SkeletonClass

    struct PhoshMprisDBusMediaPlayer2SkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for PhoshMprisDBusMediaPlayer2Skeleton.

#### Members

### struct PhoshMprisDBusMediaPlayer2PlayerIface

    struct PhoshMprisDBusMediaPlayer2PlayerIface {
      GTypeInterface parent_iface;

      gboolean (*handle_next) (
        PhoshMprisDBusMediaPlayer2Player *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_play_pause) (
        PhoshMprisDBusMediaPlayer2Player *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_previous) (
        PhoshMprisDBusMediaPlayer2Player *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_seek) (
        PhoshMprisDBusMediaPlayer2Player *object,
        GDBusMethodInvocation *invocation,
        gint64 arg_Offset);

      gboolean  (*get_can_go_next) (PhoshMprisDBusMediaPlayer2Player *object);

      gboolean  (*get_can_go_previous) (PhoshMprisDBusMediaPlayer2Player *object);

      gboolean  (*get_can_play) (PhoshMprisDBusMediaPlayer2Player *object);

      gboolean  (*get_can_seek) (PhoshMprisDBusMediaPlayer2Player *object);

      GVariant * (*get_metadata) (PhoshMprisDBusMediaPlayer2Player *object);

      const gchar * (*get_playback_status) (PhoshMprisDBusMediaPlayer2Player *object);
    };

Virtual table for the D-Bus interface org.mpris.MediaPlayer2.Player.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_next` () | Handler for the “handle-next” signal. |
`handle_play_pause` () | Handler for the “handle-play-pause” signal. |
`handle_previous` () | Handler for the “handle-previous” signal. |
`handle_seek` () | Handler for the “handle-seek” signal. |
`get_can_go_next` () | Getter for the “can-go-next” property. |
`get_can_go_previous` () | Getter for the “can-go-previous” property. |
`get_can_play` () | Getter for the “can-play” property. |
`get_can_seek` () | Getter for the “can-seek” property. |
`get_metadata` () | Getter for the “metadata” property. |
`get_playback_status` () | Getter for the “playback-status” property. |

### struct PhoshMprisDBusMediaPlayer2PlayerProxy

    struct PhoshMprisDBusMediaPlayer2PlayerProxy;

The PhoshMprisDBusMediaPlayer2PlayerProxy structure contains only private data and should only be accessed using the provided API.

### struct PhoshMprisDBusMediaPlayer2PlayerProxyClass

    struct PhoshMprisDBusMediaPlayer2PlayerProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for PhoshMprisDBusMediaPlayer2PlayerProxy.

#### Members

### struct PhoshMprisDBusMediaPlayer2PlayerSkeleton

    struct PhoshMprisDBusMediaPlayer2PlayerSkeleton;

The PhoshMprisDBusMediaPlayer2PlayerSkeleton structure contains only private data and should only be accessed using the provided API.

### struct PhoshMprisDBusMediaPlayer2PlayerSkeletonClass

    struct PhoshMprisDBusMediaPlayer2PlayerSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for PhoshMprisDBusMediaPlayer2PlayerSkeleton.

#### Members

### PhoshMprisDBusMediaPlayer2

    typedef struct _PhoshMprisDBusMediaPlayer2 PhoshMprisDBusMediaPlayer2;

Abstract interface type for the D-Bus interface org.mpris.MediaPlayer2.

### PhoshMprisDBusMediaPlayer2Player

    typedef struct _PhoshMprisDBusMediaPlayer2Player PhoshMprisDBusMediaPlayer2Player;

Abstract interface type for the D-Bus interface org.mpris.MediaPlayer2.Player.

### PhoshMprisDBusMediaPlayer2PlayerProxyPrivate

    typedef struct _PhoshMprisDBusMediaPlayer2PlayerProxyPrivate PhoshMprisDBusMediaPlayer2PlayerProxyPrivate;

### PhoshMprisDBusMediaPlayer2PlayerSkeletonPrivate

    typedef struct _PhoshMprisDBusMediaPlayer2PlayerSkeletonPrivate PhoshMprisDBusMediaPlayer2PlayerSkeletonPrivate;

### PhoshMprisDBusMediaPlayer2ProxyPrivate

    typedef struct _PhoshMprisDBusMediaPlayer2ProxyPrivate PhoshMprisDBusMediaPlayer2ProxyPrivate;

### PhoshMprisDBusMediaPlayer2SkeletonPrivate

    typedef struct _PhoshMprisDBusMediaPlayer2SkeletonPrivate PhoshMprisDBusMediaPlayer2SkeletonPrivate;

## Property Details

### The `“can-raise”` property

      “can-raise”                gboolean

Represents the D-Bus property "CanRaise".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshMprisDBusMediaPlayer2

Flags: Read / Write

Default value: FALSE

### The `“desktop-entry”` property

      “desktop-entry”            char *

Represents the D-Bus property "DesktopEntry".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshMprisDBusMediaPlayer2

Flags: Read / Write

Default value: NULL

### The `“can-go-next”` property

      “can-go-next”              gboolean

Represents the D-Bus property "CanGoNext".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshMprisDBusMediaPlayer2Player

Flags: Read / Write

Default value: FALSE

### The `“can-go-previous”` property

      “can-go-previous”          gboolean

Represents the D-Bus property "CanGoPrevious".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshMprisDBusMediaPlayer2Player

Flags: Read / Write

Default value: FALSE

### The `“can-play”` property

      “can-play”                 gboolean

Represents the D-Bus property "CanPlay".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshMprisDBusMediaPlayer2Player

Flags: Read / Write

Default value: FALSE

### The `“can-seek”` property

      “can-seek”                 gboolean

Represents the D-Bus property "CanSeek".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshMprisDBusMediaPlayer2Player

Flags: Read / Write

Default value: FALSE

### The `“metadata”` property

      “metadata”                 GVariant *

Represents the D-Bus property "Metadata".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshMprisDBusMediaPlayer2Player

Flags: Read / Write

Allowed values: GVariant<a{sv}>

Default value: NULL

### The `“playback-status”` property

      “playback-status”          char *

Represents the D-Bus property "PlaybackStatus".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshMprisDBusMediaPlayer2Player

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“handle-raise”` signal

    gboolean
    user_function (PhoshMprisDBusMediaPlayer2 *object,
                   GDBusMethodInvocation      *invocation,
                   gpointer                    user_data)

Signal emitted when a remote caller is invoking the `Raise()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_mpris_dbus_media_player2_complete_raise()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshMprisDBusMediaPlayer2. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-next”` signal

    gboolean
    user_function (PhoshMprisDBusMediaPlayer2Player *object,
                   GDBusMethodInvocation            *invocation,
                   gpointer                          user_data)

Signal emitted when a remote caller is invoking the `Next()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_mpris_dbus_media_player2_player_complete_next()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-play-pause”` signal

    gboolean
    user_function (PhoshMprisDBusMediaPlayer2Player *object,
                   GDBusMethodInvocation            *invocation,
                   gpointer                          user_data)

Signal emitted when a remote caller is invoking the `PlayPause()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_mpris_dbus_media_player2_player_complete_play_pause()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-previous”` signal

    gboolean
    user_function (PhoshMprisDBusMediaPlayer2Player *object,
                   GDBusMethodInvocation            *invocation,
                   gpointer                          user_data)

Signal emitted when a remote caller is invoking the `Previous()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_mpris_dbus_media_player2_player_complete_previous()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-seek”` signal

    gboolean
    user_function (PhoshMprisDBusMediaPlayer2Player *object,
                   GDBusMethodInvocation            *invocation,
                   gint64                            arg_Offset,
                   gpointer                          user_data)

Signal emitted when a remote caller is invoking the `Seek()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_mpris_dbus_media_player2_player_complete_seek()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshMprisDBusMediaPlayer2Player. |
invocation | A GDBusMethodInvocation. |
arg_Offset | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last